다음을 통해 공유


Monitors - Create

모니터 리소스를 만듭니다.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Datadog/monitors/{monitorName}?api-version=2025-06-11

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
monitorName
path True

string

minLength: 2
maxLength: 32
pattern: ^[a-zA-Z0-9_][a-zA-Z0-9_-]+$

리소스 이름 모니터링

resourceGroupName
path True

string

minLength: 1
maxLength: 90

리소스 그룹의 이름입니다. 이름은 대소문자를 구분하지 않습니다.

subscriptionId
path True

string

minLength: 1

대상 구독의 ID입니다.

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

요청 본문

Name 필수 형식 Description
location True

string

리소스가 있는 지리적 위치

identity

IdentityProperties

properties

MonitorProperties

모니터 리소스와 관련된 속성입니다.

sku

ResourceSku

tags

object

리소스 태그.

응답

Name 형식 Description
200 OK

DatadogMonitorResource

리소스 'DatadogMonitorResource' 업데이트 작업에 성공했습니다.

201 Created

DatadogMonitorResource

리소스 'DatadogMonitorResource' 생성 작업에 성공했습니다.

헤더

  • Azure-AsyncOperation: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

예기치 않은 오류 응답입니다.

보안

azure_auth

Azure Active Directory OAuth2 흐름.

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

Monitors_Create

샘플 요청

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Datadog/monitors/myMonitor?api-version=2025-06-11

{
  "location": "West US",
  "properties": {
    "datadogOrganizationProperties": {
      "name": "myOrg",
      "cspm": false,
      "enterpriseAppId": "00000000-0000-0000-0000-000000000000",
      "id": "myOrg123",
      "linkingAuthCode": "someAuthCode",
      "linkingClientId": "00000000-0000-0000-0000-000000000000",
      "resourceCollection": false
    },
    "monitoringStatus": "Enabled",
    "userInfo": {
      "name": "Alice",
      "emailAddress": "alice@microsoft.com",
      "phoneNumber": "123-456-7890"
    }
  },
  "sku": {
    "name": "free_Monthly"
  },
  "tags": {
    "Environment": "Dev"
  }
}

샘플 응답

{
  "name": "myMonitor",
  "type": "Microsoft.Datadog/monitors",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/monitors/myMonitor",
  "location": "West US",
  "properties": {
    "datadogOrganizationProperties": {
      "name": "myOrg",
      "enterpriseAppId": null,
      "id": "myOrg123",
      "linkingAuthCode": null,
      "linkingClientId": null
    },
    "liftrResourceCategory": "MonitorLogs",
    "liftrResourcePreference": 1,
    "monitoringStatus": "Enabled",
    "provisioningState": "Succeeded"
  },
  "sku": {
    "name": "free_Monthly"
  },
  "tags": {
    "Environment": "Dev"
  }
}
{
  "name": "myMonitor",
  "type": "Microsoft.Datadog/monitors",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/monitors/myMonitor",
  "location": "West US",
  "properties": {
    "datadogOrganizationProperties": {
      "name": "myOrg",
      "id": "myOrg123"
    },
    "liftrResourceCategory": "MonitorLogs",
    "liftrResourcePreference": 1,
    "monitoringStatus": "Enabled",
    "provisioningState": "Accepted"
  },
  "sku": {
    "name": "free_Monthly"
  },
  "tags": {
    "Environment": "Dev"
  }
}

정의

Name Description
createdByType

리소스를 만든 ID의 형식입니다.

DatadogMonitorResource

구체적인 추적된 리소스 종류는 특정 속성 형식을 사용하여 이 형식의 별칭을 지정하여 만들 수 있습니다.

DatadogOrganizationProperties

Datadog 조직 이름을 지정합니다. 기존 조직에 연결하는 경우 ID, ApiKey 및 Applicationkey도 필요합니다.

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

ErrorDetail

오류 세부 정보입니다.

ErrorResponse

오류 응답

IdentityProperties
LiftrResourceCategories
ManagedIdentityTypes

Datadog Monitor의 ID 형식을 지정합니다. 현재 허용되는 값은 'SystemAssigned'뿐입니다.

MarketplaceSubscriptionStatus

리소스의 Marketplace 구독 상태를 지정하는 플래그입니다. 제때 결제가 이루어지지 않으면 리소스가 일시 중단됨 상태가 됩니다.

MonitoringStatus

리소스 모니터링을 사용하도록 설정하거나 사용하지 않도록 설정할지 여부를 지정하는 플래그입니다.

MonitorProperties

모니터 리소스와 관련된 속성입니다.

ProvisioningState
ResourceSku
systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

UserInfo

이름, 전자 메일 및 선택적으로 전화 번호를 포함합니다. 사용자 정보는 null일 수 없습니다.

createdByType

리소스를 만든 ID의 형식입니다.

Description
User
Application
ManagedIdentity
Key

DatadogMonitorResource

구체적인 추적된 리소스 종류는 특정 속성 형식을 사용하여 이 형식의 별칭을 지정하여 만들 수 있습니다.

Name 형식 Description
id

string

리소스에 대한 정규화된 리소스 ID입니다. 예 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

identity

IdentityProperties

location

string

리소스가 있는 지리적 위치

name

string

리소스의 이름

properties

MonitorProperties

모니터 리소스와 관련된 속성입니다.

sku

ResourceSku

systemData

systemData

createdBy 및 modifiedBy 정보가 포함된 Azure Resource Manager 메타데이터입니다.

tags

object

리소스 태그.

type

string

리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts"

DatadogOrganizationProperties

Datadog 조직 이름을 지정합니다. 기존 조직에 연결하는 경우 ID, ApiKey 및 Applicationkey도 필요합니다.

Name 형식 Description
apiKey

string (password)

Datadog 조직에 연결된 API 키입니다.

applicationKey

string (password)

Datadog 조직에 연결된 애플리케이션 키입니다.

cspm

boolean

클라우드 보안 상태 관리의 상태를 설명하는 구성입니다. 구독의 모든 리소스에 대한 구성 정보를 수집하고 업계 벤치마크에 대한 규격을 추적합니다.

enterpriseAppId

string

Single Sign-On에 사용되는 엔터프라이즈 앱의 ID입니다.

id

string

Datadog 조직의 ID입니다.

linkingAuthCode

string (password)

기존 Datadog 조직에 연결하는 데 사용되는 인증 코드입니다.

linkingClientId

string (password)

인증 토큰을 사용하여 조직을 연결하는 대가로 기존 client_id.

name

string

Datadog 조직의 이름입니다.

redirectUri

string

연결에 대한 리디렉션 URI입니다.

resourceCollection

boolean

리소스 수집 상태를 설명하는 구성입니다. 이렇게 하면 구독의 모든 리소스에 대한 구성 정보가 수집됩니다.

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

Name 형식 Description
info

object

추가 정보입니다.

type

string

추가 정보 유형입니다.

ErrorDetail

오류 세부 정보입니다.

Name 형식 Description
additionalInfo

ErrorAdditionalInfo[]

오류 추가 정보입니다.

code

string

오류 코드입니다.

details

ErrorDetail[]

오류 세부 정보입니다.

message

string

오류 메시지입니다.

target

string

오류 대상입니다.

ErrorResponse

오류 응답

Name 형식 Description
error

ErrorDetail

오류 개체입니다.

IdentityProperties

Name 형식 Description
principalId

string

ID ID입니다.

tenantId

string

리소스의 테넌트 ID입니다.

type

ManagedIdentityTypes

Datadog Monitor의 ID 형식을 지정합니다. 현재 허용되는 값은 'SystemAssigned'뿐입니다.

LiftrResourceCategories

Description
Unknown
MonitorLogs

ManagedIdentityTypes

Datadog Monitor의 ID 형식을 지정합니다. 현재 허용되는 값은 'SystemAssigned'뿐입니다.

Description
SystemAssigned
UserAssigned

MarketplaceSubscriptionStatus

리소스의 Marketplace 구독 상태를 지정하는 플래그입니다. 제때 결제가 이루어지지 않으면 리소스가 일시 중단됨 상태가 됩니다.

Description
Provisioning
Active
Suspended
Unsubscribed

MonitoringStatus

리소스 모니터링을 사용하도록 설정하거나 사용하지 않도록 설정할지 여부를 지정하는 플래그입니다.

Description
Enabled
Disabled

MonitorProperties

모니터 리소스와 관련된 속성입니다.

Name 형식 Default value Description
datadogOrganizationProperties

DatadogOrganizationProperties

Datadog 조직 이름을 지정합니다. 기존 조직에 연결하는 경우 ID, ApiKey 및 Applicationkey도 필요합니다.

liftrResourceCategory

LiftrResourceCategories

liftrResourcePreference

integer (int32)

자원의 우선순위입니다.

marketplaceSubscriptionStatus

MarketplaceSubscriptionStatus

리소스의 Marketplace 구독 상태를 지정하는 플래그입니다. 제때 결제가 이루어지지 않으면 리소스가 일시 중단됨 상태가 됩니다.

monitoringStatus

MonitoringStatus

Enabled

리소스 모니터링을 사용하도록 설정하거나 사용하지 않도록 설정할지 여부를 지정하는 플래그입니다.

provisioningState

ProvisioningState

userInfo

UserInfo

이름, 전자 메일 및 선택적으로 전화 번호를 포함합니다. 사용자 정보는 null일 수 없습니다.

ProvisioningState

Description
Accepted
Creating
Updating
Deleting
Succeeded
Failed
Canceled
Deleted
NotSpecified

ResourceSku

Name 형식 Description
name

string

{PlanId} 형식의 SKU 이름입니다. Terraform의 경우 허용되는 값은 'Linked'뿐입니다.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Name 형식 Description
createdAt

string (date-time)

리소스 만들기의 타임스탬프(UTC)입니다.

createdBy

string

리소스를 만든 ID입니다.

createdByType

createdByType

리소스를 만든 ID의 형식입니다.

lastModifiedAt

string (date-time)

리소스 마지막 수정의 타임스탬프(UTC)

lastModifiedBy

string

리소스를 마지막으로 수정한 ID입니다.

lastModifiedByType

createdByType

리소스를 마지막으로 수정한 ID의 형식입니다.

UserInfo

이름, 전자 메일 및 선택적으로 전화 번호를 포함합니다. 사용자 정보는 null일 수 없습니다.

Name 형식 Description
emailAddress

string

pattern: ^[A-Za-z0-9._%+-]+@(?:[A-Za-z0-9-]+\.)+[A-Za-z]{2,}$

필요한 경우 Datadog에서 해당 사용자에게 연락하는 데 사용하는 사용자의 전자 메일

name

string

maxLength: 50

사용자의 이름

phoneNumber

string

maxLength: 40

필요한 경우 Datadog에서 연락하는 데 사용하는 사용자의 전화 번호입니다.